Bug 451684 - Can't build Pyrex modules with current setuptools, upgrade to 0.6c8
Summary: Can't build Pyrex modules with current setuptools, upgrade to 0.6c8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-setuptools
Version: 8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Konstantin Ryabitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 226343
TreeView+ depends on / blocked
 
Reported: 2008-06-16 17:41 UTC by Kyle VanderBeek
Modified: 2008-07-01 05:30 UTC (History)
1 user (show)

Fixed In Version: 0.6c8-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-01 05:24:58 UTC


Attachments (Terms of Use)

Description Kyle VanderBeek 2008-06-16 17:41:03 UTC
Description of problem:
I was going to do the package review for python-ldap, but the build fails due to
incompatibility between some little hacks used to reach inside Pyrex's DistUtils.

Version-Release number of selected component (if applicable):
python-setuptools-0.6c7-2.fc8
Pyrex-0.9.6.4-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Install current python-setuptools and Pyrex
2. Check python-ldap out from fedora-cvs
3. cd into appropriate dist directory
4. make local  

Actual results:

building '_ldap' extension
Traceback (most recent call last):
  File "setup.py", line 140, in <module>
    **kwargs
  File "/usr/lib/python2.5/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib/python2.5/distutils/dist.py", line 974, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build.py", line 112, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/site-packages/setuptools/command/build_ext.py", line
46, in run
    _build_ext.run(self)
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 290, in run
    self.build_extensions()
  File "/usr/lib/python2.5/site-packages/Pyrex/Distutils/build_ext.py", line 82,
in build_extensions
    self.build_extension(ext)
  File "/usr/lib/python2.5/site-packages/setuptools/command/build_ext.py", line
175, in build_extension
    _build_ext.build_extension(self,ext)
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 453, in
build_extension
    sources = self.swig_sources(sources, ext)
  File "/usr/lib/python2.5/site-packages/setuptools/command/build_ext.py", line
77, in swig_sources
    sources = _build_ext.swig_sources(self, sources) or sources
TypeError: swig_sources() takes exactly 3 arguments (2 given)
error: Bad exit status from /var/tmp/rpm-tmp.87594 (%build)

Expected results:
Successful module build.

Additional info:
Updating setuptools to 0.6c8 seems to fix this.  There is a note on their Wiki
that they did a fix to handle Pyrex 0.9.6 and later:
  http://peak.telecommunity.com/DevCenter/setuptools#release-notes-change-history

Until we update versions, we can't build anything that relies on Pyrex and
setuptools on F-8 or F-9.  Let me know if you want me to help.

Comment 1 Fedora Update System 2008-06-22 02:29:14 UTC
python-setuptools-0.6c8-1.fc8 has been submitted as an update for Fedora 8

Comment 2 Fedora Update System 2008-06-22 02:33:51 UTC
python-setuptools-0.6c8-1.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-06-22 20:43:27 UTC
python-setuptools-0.6c8-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-setuptools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5587

Comment 4 Fedora Update System 2008-07-01 05:24:56 UTC
python-setuptools-0.6c8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-07-01 05:30:59 UTC
python-setuptools-0.6c8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.